/// <reference types="angular" />
import * as angular from 'angular';
import * as moment from 'moment';
import { services } from 'typescript-angular-utilities';
import __date = services.date;
import { IDateFilterOld } from './dateFilterOld.service';
import { IDataSourceOld } from '../../dataSources/dataSource';
export declare let componentName: string;
export declare let controllerName: string;
export interface IDateFilterBindings {
    clearButton: boolean;
    count: number;
    filter: IDateFilterOld;
    includeTime: boolean;
    includeDateRange: boolean;
    label: string;
    dateFrom: moment.Moment;
    dateTo: moment.Moment;
    source: IDataSourceOld<any>;
    type: string;
}
export declare class DateFilterController implements IDateFilterBindings {
    private $scope;
    private dateUtility;
    private $element;
    clearButton: boolean;
    count: number;
    filter: IDateFilterOld;
    includeDateRange: boolean;
    includeTime: boolean;
    label: string;
    source: IDataSourceOld<any>;
    type: moment.UnitOfTime;
    private inputField;
    dateFrom: moment.Moment;
    static $inject: string[];
    constructor($scope: angular.IScope, dateUtility: __date.IDateUtility, $element: angular.IAugmentedJQuery);
    dateTo: moment.Moment;
    refreshDataSource(): void;
    clearCount(): void;
    decreaseCount(): void;
    countChange(): void;
    increaseCount(): void;
    setDateTimeNowIfNull(): void;
    toggle(): void;
}
export declare let dateFilter: angular.IComponentOptions;
